AbstractRouterCollection (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.AbstractRouterCollection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class AbstractRouterCollection

    java.lang.Object
      org.mule.routing.AbstractRouterCollection

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, RouterCollection

Direct Known Subclasses:
  DefaultBindingCollection, DefaultInboundRouterCollection, DefaultOutboundRouterCollection, DefaultResponseRouterCollection

    public abstract class AbstractRouterCollection

extends Object
implements RouterCollection, MuleContextAware

`AbstractRouterCollection` provides common method implementations of router collections for in and outbound routers.

Field Summary
`protected Log` | `logger` logger used by this class
`protected boolean` | `matchAll`
`protected MuleContext` | `muleContext`
`protected List` | `routers`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractRouterCollection(int type)`

Method Summary
`void` | `addRouter(Router router)`
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`RouterCatchAllStrategy` | `getCatchAllStrategy()`
`List` | `getRouters()`
`RouterStatistics` | `getStatistics()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isMatchAll()`
`Router` | `removeRouter(Router router)`
`void` | `setCatchAllStrategy(RouterCatchAllStrategy catchAllStrategy)`
`void` | `setMatchAll(boolean matchAll)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setRouters(List routers)`
`void` | `setStatistics(RouterStatistics stat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### matchAll

    protected boolean matchAll

### routers

    protected List routers

### muleContext

    protected MuleContext muleContext

Constructor Detail

### AbstractRouterCollection

    public AbstractRouterCollection(int type)

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### setRouters

    public void setRouters(List routers)

  Specified by:
    `setRouters` in interface `RouterCollection`

### addRouter

    public void addRouter(Router router)

  Specified by:
    `addRouter` in interface `RouterCollection`

### removeRouter

    public Router removeRouter(Router router)

  Specified by:
    `removeRouter` in interface `RouterCollection`

### getRouters

    public List getRouters()

  Specified by:
    `getRouters` in interface `RouterCollection`

### getCatchAllStrategy

    public RouterCatchAllStrategy getCatchAllStrategy()

  Specified by:
    `getCatchAllStrategy` in interface `RouterCollection`

### setCatchAllStrategy

    public void setCatchAllStrategy(RouterCatchAllStrategy catchAllStrategy)

  Specified by:
    `setCatchAllStrategy` in interface `RouterCollection`

### isMatchAll

    public boolean isMatchAll()

  Specified by:
    `isMatchAll` in interface `RouterCollection`

### setMatchAll

    public void setMatchAll(boolean matchAll)

  Specified by:
    `setMatchAll` in interface `RouterCollection`

### getStatistics

    public RouterStatistics getStatistics()

  Specified by:
    `getStatistics` in interface `RouterCollection`

### setStatistics

    public void setStatistics(RouterStatistics stat)

  Specified by:
    `setStatistics` in interface `RouterCollection`

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.